-- Main game loop
function Main()

	DisplaySplash("", "splash/GD Logo",4000);
	DisplaySplash("", "splash/VP Logo",4000);
	DisplaySplash("", "splash/ripper.swf",4000);


	-- Push the game selection screen
	while true do
		DoMainWindow("scripts/mainmenu.lua");
		-- DoMainWindow will exit only if there are NO windows pushed on the stack, so
		-- a PopModal()/PushModal() combination will not cause this to loop.
	end
end

-- Return a function to be executed in a thread
return Main